> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Suggest



## OpenAPI

````yaml openapi/brave-search.json GET /apis/v1/brave/suggest/search
openapi: 3.1.0
info:
  description: ''
  title: Brave Search
  version: '1'
  x-aisa-capabilities:
    idempotency: Idempotency-Key
    max_price: X-AISA-Max-Price-USD
    quote:
      header: X-AISA-Cost-Mode
      value: quote
  x-aisa-configured-paths:
    - /apis/v1/brave/images/search
    - /apis/v1/brave/llm/context
    - /apis/v1/brave/local/descriptions
    - /apis/v1/brave/local/place_search
    - /apis/v1/brave/local/pois
    - /apis/v1/brave/news/search
    - /apis/v1/brave/spellcheck/search
    - /apis/v1/brave/suggest/search
    - /apis/v1/brave/videos/search
    - /apis/v1/brave/web/rich
    - /apis/v1/brave/web/search
  x-aisa-document:
    facts_hash: bfca7fbdc322363be69051cbb659ceb6830c024f0f2f839d53c6ac80f1ac360c
    generator_version: '2'
    protocol_version: '1'
    schema_version: '1'
    composer_version: '13'
    response_pending: []
    document_hash: sha256:43ac90d547b4acdf6817aa626a8b8339da83b049b076535c100777fdabb2bbe9
  x-aisa-plans:
    builder: 1
    display_plan: payg
    payg: 1
    similarweb_payg: 1
    team: 1
    version: e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb
  x-aisa-provider: brave-search
  x-aisa-catalogs:
    brave-search:
      title: Brave Search
      description: ''
      x-aisa-document:
        facts_hash: bfca7fbdc322363be69051cbb659ceb6830c024f0f2f839d53c6ac80f1ac360c
        generator_version: '2'
        protocol_version: '1'
        schema_version: '1'
      x-aisa-plans:
        builder: 1
        display_plan: payg
        payg: 1
        similarweb_payg: 1
        team: 1
        version: e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb
      x-aisa-capabilities:
        idempotency: Idempotency-Key
        max_price: X-AISA-Max-Price-USD
        quote:
          header: X-AISA-Cost-Mode
          value: quote
servers:
  - url: https://api.aisa.one
security:
  - bearerAuth: []
paths:
  /apis/v1/brave/suggest/search:
    get:
      tags:
        - default
      summary: Suggest
      operationId: any_brave_search_apis_v1_brave_suggest_search
      parameters:
        - name: accept
          in: header
          required: false
          description: The default supported media type is application/json.
          schema:
            allOf:
              - type: string
                enum:
                  - application/json
                  - '*/*'
                title: Accept
              - default: application/json
            title: Media type
            description: The default supported media type is application/json.
            examples:
              - application/json
          deprecated: false
          examples:
            '0':
              value: application/json
        - name: api-version
          in: header
          required: false
          description: >-
            The API version to use.                 This is denoted by the
            format <code>YYYY-MM-DD</code>.                 Default is the
            latest that is available. Read                 more about <a
            href="/documentation/guides/versioning">API versioning</a>.
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: API version
            description: >-
              The API version to use.                 This is denoted by the
              format <code>YYYY-MM-DD</code>.                 Default is the
              latest that is available. Read                 more about <a
              href="/documentation/guides/versioning">API versioning</a>.
          deprecated: false
        - name: cache-control
          in: header
          required: false
          description: >-
            Brave Search will return cached content by default.                
            To prevent caching set the Cache-Control header to
            <code>no-cache</code>.                 This is currently done as
            best effort.
          schema:
            anyOf:
              - type: string
                enum:
                  - no-cache
                const: no-cache
                title: CacheControl
              - type: 'null'
            title: Cache control
            description: >-
              Brave Search will return cached content by
              default.                 To prevent caching set the Cache-Control
              header to <code>no-cache</code>.                 This is currently
              done as best effort.
          deprecated: false
        - name: user-agent
          in: header
          required: false
          description: >-
            The user agent originating the request.                 Brave search
            can utilize the user agent to provide a different                
            experience depending on the device as described by the
            string.                 The user agent should follow the commonly
            used browser agent                 strings on each platform. For
            more information on curating user agents,                 see <a
            href="https://www.rfc-editor.org/rfc/rfc9110.html#name-user-agent">RFC
            9110</a>.
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: User agent
            description: >-
              The user agent originating the request.                 Brave
              search can utilize the user agent to provide a
              different                 experience depending on the device as
              described by the string.                 The user agent should
              follow the commonly used browser agent                 strings on
              each platform. For more information on curating user
              agents,                 see <a
              href="https://www.rfc-editor.org/rfc/rfc9110.html#name-user-agent">RFC
              9110</a>.
          deprecated: false
          examples:
            Android:
              value: >-
                Mozilla/5.0 (Linux; Android 12) AppleWebKit/537.36 (KHTML, like
                Gecko) Chrome/103.0.5060.71 Mobile Safari/537.36
              description: Android
            iOS:
              value: >-
                Mozilla/5.0 (iPhone; CPU iPhone OS 15_5 like Mac OS X)
                AppleWebKit/605.1.15 (KHTML, like Gecko) CriOS/103.0.5060.63
                Mobile/15E148 Safari/604.1
              description: iOS
            macOS:
              value: >-
                Mozilla/5.0 (Macintosh; Intel Mac OS X 12_4) AppleWebKit/537.36
                (KHTML, like Gecko) Chrome/103.0.0.0 Safari/537.36
              description: macOS
            Windows:
              value: >-
                Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36
                (KHTML, like Gecko) Chrome/103.0.0.0 Safari/537.36
              description: Windows
        - name: count
          in: query
          required: false
          description: >-
            The number of suggestion search results returned in response. The
            actual number of results delivered may be less than requested.
            Minimum is 1, maximum is 20. The default is 5.
          schema:
            type: integer
            maximum: 20
            minimum: 1
            description: >-
              The number of suggestion search results returned in response. The
              actual number of results delivered may be less than requested.
              Minimum is 1, maximum is 20. The default is 5.
            default: 5
            title: Count
          deprecated: false
        - name: country
          in: query
          required: false
          description: >-
            The suggest search query country, where potentially the results
            could come from. The country string is limited to 2 character
            country codes of supported countries. This is a just a hint for
            calculating suggest responses.
          schema:
            allOf:
              - type: string
                enum:
                  - AR
                  - AU
                  - AT
                  - BE
                  - BR
                  - CA
                  - CL
                  - DK
                  - FI
                  - FR
                  - DE
                  - GR
                  - HK
                  - IN
                  - ID
                  - IT
                  - JP
                  - KR
                  - MY
                  - MX
                  - NL
                  - NZ
                  - 'NO'
                  - CN
                  - PL
                  - PT
                  - PH
                  - RU
                  - SA
                  - ZA
                  - ES
                  - SE
                  - CH
                  - TW
                  - TR
                  - GB
                  - US
                  - ALL
                title: SearchCountry
              - default: US
            description: >-
              The suggest search query country, where potentially the results
              could come from. The country string is limited to 2 character
              country codes of supported countries. This is a just a hint for
              calculating suggest responses.
          deprecated: false
        - name: lang
          in: query
          required: false
          description: >-
            The suggest search language preference, where potentially the
            results could come from. The 2 or more character language code for
            which the suggest search results are provided. This is a just a hint
            for calculating suggest responses.
          schema:
            allOf:
              - type: string
                enum:
                  - ar
                  - eu
                  - bn
                  - bg
                  - ca
                  - zh-hans
                  - zh-hant
                  - hr
                  - cs
                  - da
                  - nl
                  - en
                  - en-gb
                  - et
                  - fi
                  - fr
                  - gl
                  - de
                  - el
                  - gu
                  - he
                  - hi
                  - hu
                  - is
                  - it
                  - ja
                  - jp
                  - kn
                  - ko
                  - lv
                  - lt
                  - ms
                  - ml
                  - mr
                  - nb
                  - pl
                  - pt-br
                  - pt-pt
                  - pa
                  - ro
                  - ru
                  - sr
                  - sk
                  - sl
                  - es
                  - sv
                  - ta
                  - te
                  - th
                  - tr
                  - uk
                  - vi
                title: Language
              - default: en
            description: >-
              The suggest search language preference, where potentially the
              results could come from. The 2 or more character language code for
              which the suggest search results are provided. This is a just a
              hint for calculating suggest responses.
          deprecated: false
        - name: q
          in: query
          required: true
          description: >-
            The user’s suggest search query term. Query can not be empty. The
            max query length is 400 characters, and the word limit is 50 words.
          schema:
            type: string
            minLength: 1
            maxLength: 400
            title: The user's suggest search query term.
            description: >-
              The user’s suggest search query term. Query can not be empty. The
              max query length is 400 characters, and the word limit is 50
              words.
          deprecated: false
        - name: rich
          in: query
          required: false
          description: >-
            Whether to enhance suggestions with rich results. This requires a
            paid autosuggest subscription.
          schema:
            type: boolean
            description: >-
              Whether to enhance suggestions with rich results. This requires a
              paid autosuggest subscription.
            default: false
            title: Rich
          deprecated: false
          examples:
            Include rich suggestions:
              value: true
            Exclude rich suggestions:
              value: false
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ResponseE3Baaa015480_SuggestSearchApiResponse
        default:
          content:
            application/json:
              schema: {}
          description: >-
            Error response; upstream passthrough responses may use provider
            formats
components:
  schemas:
    ResponseE3Baaa015480_SuggestSearchApiResponse:
      properties:
        type:
          type: string
          enum:
            - suggest
          const: suggest
          title: Type
          default: suggest
        query:
          $ref: '#/components/schemas/ResponseE3Baaa015480_OriginalQuery'
          description: Suggest search query string. Only the original query is returned.
        results:
          items:
            $ref: '#/components/schemas/ResponseE3Baaa015480_SuggestResult'
          type: array
          title: Results
          description: The list of suggestions for the given query.
          default: []
      type: object
      required:
        - query
      title: SuggestSearchApiResponse
    ResponseE3Baaa015480_OriginalQuery:
      properties:
        original:
          type: string
          title: Original
          description: The original query that was requested.
      type: object
      required:
        - original
      title: OriginalQuery
    ResponseE3Baaa015480_SuggestResult:
      properties:
        query:
          type: string
          title: Query
          description: Suggested query completion.
        type:
          anyOf:
            - $ref: '#/components/schemas/ResponseE3Baaa015480_SuggestType'
            - type: 'null'
          description: >-
            Kind of suggestion, currently <code>query</code> or
            <code>entity</code>. New kinds may be added, so treat an
            unrecognised value as a plain query suggestion.
        is_entity:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Entity
          description: >-
            Whether the suggested enriched query is an entity. Deprecated: use
            <code>type</code> instead.
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
          description: The suggested query enriched title.
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: The suggested query enriched description.
        img:
          anyOf:
            - type: string
            - type: 'null'
          title: Img
          description: The suggested query enriched image URL.
      type: object
      required:
        - query
      title: SuggestResult
    ResponseE3Baaa015480_SuggestType:
      type: string
      enum:
        - query
        - entity
        - calculator
      title: SuggestType
      description: >-
        <p>Kind tag on a rich suggestion entry.</p>

        <p>Open set: mixer emits these today, but we may add Rich Header
        verticals

        over time, so consumers must render an unrecognised value as plain
        text.</p>
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.